var pag00001_TitulosAPagar_Repository = function (restEngine, localStorageEngine) {
    this.retornaUnidadeLogada = function() {
        var filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": "FILIAL_LOGADA"
            }
        ];
        
        //return localStorageEngine.download("fin#/crud/filial", filter);
        
        return restEngine.post("fin#/crud/filial", {
            "requestType": "FilterData",
            "filter": filter
        });
    };
    
    this.getDtprocessa = function(cdFilialOpcional) {
        var cdFilialFiltrada = cdFilialOpcional || "FILIAL_LOGADA";
        var filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": cdFilialFiltrada
            }
        ];
        return restEngine.post("fin#/crud/paramestoque_processamento", {
            "requestType": "FilterData",
            "filter": filter
        });
    };

    this.buscaEmpresa = function(cdempresa){
        return restEngine.post('fin#/crud/empresa', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "CDEMPRESA",
                    "operator": "=",
                    "value": cdempresa
                }
            ]
        });
    };
    
    this.buscaPadraoSerieNF = function(cdfilial, cdfilirece) {
        return restEngine.post('fin_contaPagar#/crud/notafiscal_serieentr', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "CDFILIAL",
                    "operator": "=",
                    "value": cdfilial
                },
                {
                    "name": "CDFILIRECE",
                    "operator": "=",
                    "value": cdfilirece
                }
            ]
        });
    };

    this.buscaParamfilialFilialEmprcntrfil = function(cdempresa, cdfilial){
        return restEngine.post('fin_contaPagar#/crud/paramfilial_filial_emprcntrfilpag', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "P_CDEMPRESA",
                    "operator": "=",
                    "value": cdempresa
                },
                {
                    "name": "CDFILIAL",
                    "operator": "=",
                    "value": cdfilial
                }
            ]
        });
    };

    this.buscaTipooperac = function(cdtipooper){
        return restEngine.post('fin#/crud/tipooperac', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "IDENTRSAIDOP",
                    "operator": "=",
                    "value": "E"
                },
                {
                    "name": "IDUTILOPER",
                    "operator": "=",
                    "value": "S"
                },
                {
                    "name": "CDTIPOOPER",
                    "operator": "=",
                    "value": cdtipooper
                }
            ]
        });
    };

    this.buscaGeralPag = function(){
        return restEngine.post('fin#/crud/geral_pag', {
            "requestType": "FilterData",
            "filter": []

        });
    };

    this.buscaFornecedor = function(cdforneced){
        return restEngine.post('fin#/crud/fornecedor', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "CDFORNECED",
                    "operator": "=",
                    "value": cdforneced
                }
            ]
        });
    };

    this.buscaMunicipio = function(cdfilial){
        return restEngine.post('fin_contaPagar#/crud/municipio_endefili', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "CDFILIAL",
                    "operator": "=",
                    "value": cdfilial
                }
            ]
        });
    };

    this.buscaContOpeCtbl = function(cdempresa){
        return restEngine.post('fin#/crud/contopectbl', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "CDEMPRESA",
                    "operator": "=",
                    "value": cdempresa
                }
            ]
        });
    };

    this.buscaTipoctpagar = function(cdtpctpagar){
        return restEngine.post('fin#/crud/tipoctpagar', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "CDTPCTPAGAR",
                    "operator": "=",
                    "value": cdtpctpagar
                }
            ]
        });
    };

    this.buscaSerieentr = function(cdserieentr){
        return restEngine.post('fin#/crud/serieentr', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "CDSERIEENTR",
                    "operator": "=",
                    "value": cdserieentr
                }
            ]
        });
    };

    this.buscaAjusteTitulo = function(cdfilial, nrlanbolpag){
        return restEngine.post('fin#/crud/ajbolpag', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "CDFILIAL",
                    "operator": "=",
                    "value": cdfilial
                },
                {
                    "name": "NRLANBOLPAG",
                    "operator": "=",
                    "value": nrlanbolpag
                }
            ]
        });
    };

    this.buscaContaPagar = function(cdfilial, nrlanctonf){
        return restEngine.post('fin#/crud/contapagar', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "CDFILIAL",
                    "operator": "=",
                    "value": cdfilial
                },
                {
                    "name": "NRLANCTONF",
                    "operator": "=",
                    "value": nrlanctonf
                }
            ]
        });
    };

    this.transformaBaixaPlanejado = function(currentRow){
        return restEngine.post('fin_contaPagar#/boletpagar_tipobaixapag_contcorr/transformaBaixaPlanejado', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.geraCadastramentoAutomatico = function(currentRow){
        return restEngine.post('fin_contaPagar#/boletpagar_tipobaixapag_contcorr/geraCadastramentoAutomatico', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.transformaTituloPlanejado = function(currentRow){
        return restEngine.post('fin_contaPagar#/boletpagar_tipobaixapag_contcorr/transformaTituloPlanejado', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.atualizaTituloAPagar = function(currentRow){
        return restEngine.post('fin_contaPagar#/boletpagar_tipobaixapag_contcorr/atualizaTituloAPagar', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.salvaContaDocumento = function(currentRow){
        return restEngine.post('fin_contaPagar#/boletpagar_tipobaixapag_contcorr/salvaContaDocumento', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.geraNovoCodigo = function(currentRow){
        return restEngine.post('fin_contaPagar#/boletpagar_tipobaixapag_contcorr/geraNovoCodigo', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.editaTituloAPagar = function(currentRow){
        return restEngine.post('fin_contaPagar#/boletpagar_tipobaixapag_contcorr/editaTituloAPagar', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.deletaVencTituloPagar = function(currentRow){
        return restEngine.post('fin_contaPagar#/boletpagar_tipobaixapag_contcorr/deletaVencTituloPagar', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.deletaDocTituloPagar = function(currentRow){
        return restEngine.post('fin_contaPagar#/boletpagar_tipobaixapag_contcorr/deletaDocTituloPagar', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.excluiTituloPagRemessa = function(currentRow){
        return restEngine.post('fin_contaPagar#/boletpagar_tipobaixapag_contcorr/excluiTituloPagRemessa', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.salvaAjusteBoleto = function(currentRow){
        return restEngine.post('fin_contaPagar#/ajbolpag_tipoajpagar/salvaAjusteBoleto', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.deletaAjusteBoleto = function(currentRow){
        return restEngine.post('fin_contaPagar#/ajbolpag_tipoajpagar/deletaAjusteBoleto', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.deletaRateioConta = function(currentRow){
        return restEngine.post('fin_contaPagar#/ratctpagar_filial_centcust/deletaRateioConta', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.remessaTituloPagar = function(currentRow){
        return restEngine.post('fin_contaPagar#/boletpagar_tipobaixapag_contcorr/remessaTituloPagar', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.excluiTituloPagRemessa = function(currentRow){
        return restEngine.post('fin_contaPagar#/boletpagar_tipobaixapag_contcorr/excluiTituloPagRemessa', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.baixaTituloPagar = function(currentRow){
        return restEngine.post('fin_contaPagar#/boletpagar_tipobaixapag_contcorr/baixaTituloPagar', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.excluiBaixaPagar = function(currentRow){
        return restEngine.post('fin_contaPagar#/boletpagar_tipobaixapag_contcorr/excluiBaixaPagar', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.excluiTituloBaixaPagar = function(currentRow){
        return restEngine.post('fin_contaPagar#/boletpagar_tipobaixapag_contcorr/excluiTituloBaixaPagar', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.excluiRemessaPag = function(currentRow){
        return restEngine.post('fin_contaPagar#/boletpagar_tipobaixapag_contcorr/excluiRemessaPag', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.deletaAjusteConta = function(currentRow){
        return restEngine.post('fin_contaPagar#/ajctpagar_tipoajpagar/deletaAjusteConta', {
            "requestType": "Row",
            "row": currentRow
        });
    };
    
    this.geraTituloAPagarDoc = function(dataSet){
        return restEngine.post('fin_contaPagar#/boletpagar_tipobaixapag_contcorr/geraTituloAPagarDoc', {
            "requestType": "DataSet",
            "dataset": dataSet,
            "params": []
        });
    };
    
    this.saveAnexoDocGrif = function(currentRow){
        return restEngine.post('fin_contaPagar#/salvaAnexoTitulo', {
            "requestType": "Row",
            "row": currentRow
        });
    };
    
    this.salvaAnexoGrid = function(currentRow){
        return restEngine.post('fin_contaPagar#/salvaAnexoGrid', {
            "requestType": "Row",
            "row": currentRow
        });
    };
    
    this.deleteAnexoDocGrif = function(dataSet){
        return restEngine.post('fin_contaPagar#/deletaAnexoTitulo', {
            "requestType": "DataSet",
            "dataset": dataSet
        });
    };
    
    this.deleteAnexoGrid = function(dataSet){
        return restEngine.post('fin_contaPagar#/deleteAnexoGrid', {
            "requestType": "DataSet",
            "dataset": dataSet
        });
    };
    
    this.deleteAnexoIncompletos = function(){
        return restEngine.post('fin_contaPagar#/deleteAnexoIncompletos');
    };
    
    this.getFileServerUrl = function(){
        return restEngine.post('fin_contaPagar#/getFileServerUrl', {
            "requestType": "Row",
            "row": {}
        });
    };
    
    this.validaAssociacaoTitulo = function(dataSet){
        return restEngine.post('fin_contaPagar#/boletpagar_tipobaixapag_contcorr/validaAssociacaoTitulo', {
            "requestType": "DataSet",
            "dataset": dataSet,
            "params": []
        });
    };

    this.confirmaAssociacaoTitulo = function(dataSet){
        return restEngine.post('fin_contaPagar#/boletpagar_tipobaixapag_contcorr/confirmaAssociacaoTitulo', {
            "requestType": "DataSet",
            "dataset": dataSet,
            "params": []
        });
    };

    this.cancelaAssociacaoTitulo = function(dataSet){
        return restEngine.post('fin_contaPagar#/boletpagar_tipobaixapag_contcorr/cancelaAssociacaoTitulo', {
            "requestType": "DataSet",
            "dataset": dataSet,
            "params": []
        });
    };

    this.finalizaRateioConta = function(dataSet){
        return restEngine.post('fin_contaPagar#/ratctpagar_filial_centcust/finalizaRateioConta', {
            "requestType": "DataSet",
            "dataset": dataSet,
            "params": []
        });
    };

    this.finalizaParcelamentoTitulo = function(dataSet){
        return restEngine.post('fin_contaPagar#/boletpagar_motivoparc_contcorr/finalizaParcelamentoTitulo', {
            "requestType": "DataSet",
            "dataset": dataSet,
            "params": []
        });
    };

    this.deletaParcelamentoTitulo = function(dataSet){
        return restEngine.post('fin_contaPagar#/boletpagar_motivoparc_contcorr/deletaParcelamentoTitulo', {
            "requestType": "DataSet",
            "dataset": dataSet,
            "params": []
        });
    };

    this.prorrogaTituloAPagar = function(dataSet){
        return restEngine.post('fin_contaPagar#/boletpagar_tipobaixapag_contcorr/prorrogaTituloAPagar', {
            "requestType": "DataSet",
            "dataset": dataSet,
            "params": []
        });
    };
    
    this.existeParametros = function(){
        return restEngine.post('fin#/crud/geral_pag', {
            "requestType": "FilterData",
            "filter": []
        });
    };

};
Configuration(function(ContextRegister){
    ContextRegister.register('Pag00001_TitulosAPagar_Repository', pag00001_TitulosAPagar_Repository);
});
